classification
Title: TypeError in poplib.py
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: gvanrossum, serge.julien
Priority: normal Keywords: patch

Created on 2007-09-03 09:07 by serge.julien, last changed 2007-09-10 00:27 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
poplib.diff gvanrossum, 2007-09-10 00:27
Messages (3)
msg55617 - (view) Author: Serge Julien (serge.julien) Date: 2007-09-03 09:07
In poplib.py, lines 137-138, bytes and str are compared, leading to a
TypeError:

[...]
137        while line != '.':
138            if line[:2] == '..':
[...]

where type(line) = <type 'bytes'>
msg55618 - (view) Author: Serge Julien (serge.julien) Date: 2007-09-03 09:37
Patch proposal.

Tell me if it's right to submit it here: this is the first patch I submit
msg55771 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-09-10 00:27
Oops, I accidentally deleted the patch. Here is is again.
Thanks for the patch! I've applied it.
Committed revision 58072.
History
Date User Action Args
2007-09-10 00:27:50gvanrossumsetstatus: open -> closed
files: + poplib.diff
nosy: + gvanrossum
messages: + msg55771
assignee: gvanrossum
resolution: fixed
2007-09-10 00:23:28gvanrossumsetfiles: - poplib.diff
2007-09-09 10:04:33georg.brandllinkissue1132 superseder
2007-09-03 09:46:09loewissetkeywords: + patch
2007-09-03 09:37:30serge.juliensetfiles: + poplib.diff
messages: + msg55618
2007-09-03 09:07:07serge.juliencreate